# $Revision: 1.62 $, $Date: 2009/01/19 21:42:36 $
Summary:	Glade - a user interface builder for GTK+2
Summary(es.UTF-8):	Herramienta visual para creación de interfaces GTK+2 o GNOME
Summary(fr.UTF-8):	Outil de programmation graphique visuel
Summary(pl.UTF-8):	Glade - narzędzie do budowania GUI w oparciu o bibliotekę GTK+2
Summary(pt_BR.UTF-8):	Ferramenta visual para criação de interfaces GTK+2 ou GNOME
Summary(ru.UTF-8):	Диалоговое построение интерфейсов на основе GTK+2
Summary(uk.UTF-8):	Діалогова побудова інтерфейсів на основі GTK+2
Name:		glade2
Version:	2.12.2
Release:	1
License:	GPL v2+
Group:		Development/Building
Source0:	http://ftp.gnome.org/pub/GNOME/sources/glade/2.12/glade-%{version}.tar.bz2
# Source0-md5:	54082e44bba1c75770aa0bff2f38987e
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-gda12.patch
Patch2:		%{name}-gtk_clist.patch
URL:		http://glade.gnome.org/
BuildRequires:	autoconf >= 2.59-9
BuildRequires:	automake >= 1:1.9
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 2:2.10.1
BuildRequires:	intltool >= 0.36.0
BuildRequires:	libbonoboui-devel >= 2.15.0
BuildRequires:	libgnomecanvas-devel >= 2.0.0
BuildRequires:	libgnomedb-devel >= 1:1.2.2
BuildRequires:	libgnomeui-devel >= 2.15.91
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 1:2.6.26
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.197
BuildRequires:	scrollkeeper >= 0.1.4
BuildRequires:	sed >= 4.0
Requires(post,postun):	scrollkeeper
# loads libgail.so, libgail-gnome.so GTK+ modules on start
Requires:	gail
Requires:	libgail-gnome
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Glade is a RAD tool to enable quick & easy development of user
interfaces for the GTK+2 toolkit. It also contains built-in support
for generating the C source code needed to recreate the interfaces.

The user interfaces designed in Glade are stored in the well-known XML
format, enabling easy integration with external tools. Several tools
are already available which can turn the XML files into source code in
other languages such as C, C++, ADA.

%description -l es.UTF-8
Herramienta visual para creación de interfaces GTK+2 o GNOME.

%description -l fr.UTF-8
Glade est un outil de développement rapide (RAD en anglais) permettant
de construire facilment des interfaces utilisateurs utilisant la boite
à outil GTK+2. Glade est capable d'utiliser les spécificités de GNOME.

Les interfaces conçues à l'aide de GLADE sont stockées au format XML,
permettant un interfacage aisé avec d'autres outils. Plusieurs outils
sont disponibles pour exporter le code source dans d'autres langages
tels que le C, le C++, l'ADA.

%description -l pl.UTF-8
Glade jest narzędziem typu RAD (Rapid Application Development) do
szybkiego i wygodnego tworzenia interfejsu użytkownika z użyciem
biblioteki GTK+2. Zawiera także w sobie generator kodu źródłowego
tworzonego interfejsu w C.

Definicja interfejsu użytkownika tworzona przez Glade jest
przechowywana w formacie dokumentu XML, który umożliwia łatwe używanie
tego opisu przez zewnętrzne narzędzia jak generatory kodu źródłowego w
innych językach programowania. W obecnej chwili są dostępne generatory
kodu źródłowego w C, C++, ADA.

%description -l pt_BR.UTF-8
Ferramenta visual para criação de interfaces GTK+2 ou GNOME.

%description -l ru.UTF-8
GLADE - это программа диалогового построения интерфейсов пользователя
под GTK+2 и GNOME. GLADE может создавать исходный код на языке C;
также доступна поддержка языков C++, Ada95, Python и Perl посредством
внешних инструментов, обрабатывающих XML файлы описания интерфейса,
созданные GLADE.

%description -l uk.UTF-8
GLADE - це програма діалогової побудови інтерфейсів користувача під
GTK+2 та GNOME. GLADE може створювати вихідний код на мові C; доступна
також підтримка мов C++, Ada95 через зовнішні інструменти, що
обробляють XML файли опису інтерфейсу, створені GLADE.

%prep
%setup -q -n glade-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

sed -i -e 's#sr@Latn#sr@latin#' po/LINGUAS
mv po/sr@{Latn,latin}.po

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-gnome-db
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# glade-2.0.mo, but gnome/help/glade-2 - use --all-name
%find_lang glade-2.0 --all-name --with-gnome --with-omf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%scrollkeeper_update_post

%postun
%scrollkeeper_update_postun

%files -f glade-2.0.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README TODO ChangeLog
%attr(755,root,root) %{_bindir}/*
%{_datadir}/glade-2
%{_desktopdir}/glade-2.desktop
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: glade2.spec,v $
Revision 1.62  2009/01/19 21:42:36  sls
- added gtk_clist.patch

Revision 1.61  2007/12/10 19:33:21  megabajt
- up to 2.12.2
- use better way to fix locale name
- use --with-omf

Revision 1.60  2007-11-04 22:52:25  ankry
- sr@Latn -> sr@latin, rel. 6

Revision 1.59  2007/10/09 15:31:11  baggins
- s/enviroment/environment/

Revision 1.58  2007/02/13 07:16:45  glen
- tabs in preamble

Revision 1.57  2007/02/12 00:48:52  baggins
- converted to UTF-8

Revision 1.56  2006/08/11 20:08:43  freetz
- rel.5, gda12 patch added, builds with --as-needed now, use HEAD deps

Revision 1.55  2006/08/06 18:01:30  wolf
- w/o --as-needed
- rel 4

Revision 1.54  2006/07/17 11:07:33  cieciwa
- release 3 - to build without libpng12.la

Revision 1.53  2006/07/14 07:12:27  cieciwa
- added BR: libpng-static

Revision 1.52  2006/04/09 20:34:33  qboosh
- libXft is gtk+2 dependency, not used directly here
- updated BRs, BR: autoconf >= 2.59-9 (AC_PATH_XTRA)

Revision 1.51  2006/04/04 20:23:36  cieciwa
- updated for TH [s/xft-devel/xorg-libs-libXft-devel/]

Revision 1.50  2005/10/26 07:33:54  freetz
- really use libgnomedb, rel.2

Revision 1.49  2005/10/10 10:58:05  pawcioos
- updated to 2.12.1

Revision 1.48  2005/09/16 18:49:52  pawcioos
- updated to 2.12.0

Revision 1.47  2005/06/02 23:02:31  zbyniu
- popt-devel is (indirect) required by libgnome-devel not here

Revision 1.46  2005/06/01 19:25:23  zbyniu
- BR: gettext-devel, popt-devel

Revision 1.45  2005/04/08 11:46:54  paladine
- new style macros
- rel. 3, STBR

Revision 1.44  2005/03/27 13:42:38  paladine
- proper license
- missing BR: pkgconfig
- require newer stuff

Revision 1.43  2005/03/20 20:25:16  aflinta
- rebuild with howl 0.9.10, release 2

Revision 1.42  2005/03/17 08:28:57  aflinta
- up to version 2.10.0

Revision 1.41  2004/12/26 19:14:26  grzegol
- updated to 2.6.8

Revision 1.40  2004/12/02 12:56:13  grzegol
- updated to 2.6.7

Revision 1.39  2004/12/01 16:49:42  tiwek
- desc clean, no Perl and Python lang ported to glade2

Revision 1.38  2004/11/30 13:02:48  grzegol
- updated to 2.6.6
- removed locale-names patch and remove no locale in %%install

Revision 1.37  2004/11/17 11:44:41  paladine
- added desktop patch
- rel 2

Revision 1.36  2004/11/01 17:56:35  grzegol
- updated to 2.6.5

Revision 1.35  2004/10/28 09:58:31  paladine
- "GTK+" unification (hope thats all)

Revision 1.34  2004/10/25 08:49:33  paladine
- [Gg]tk+ -> GTK+

Revision 1.33  2004/10/21 18:14:14  aflinta
- up to version 2.6.4

Revision 1.32  2004/10/13 14:59:20  aflinta
- up to version 2.6.2

Revision 1.31  2004/04/26 19:39:10  qboosh
- R: gail, libgail-gnome (gtk modules loaded on startup)

Revision 1.30  2004/04/16 05:24:03  aflinta
- up to version 2.6.0

Revision 1.29  2004/04/04 17:00:20  grzegol
- updated to 2.5.1

Revision 1.28  2004/04/03 14:59:51  grzegol
- merged 2.5.0 from DEVEL

Revision 1.27.2.1  2004/03/17 21:12:57  grzegol
- updated to 2.5.0
- removed outdated desktop-pl-translation and desktop patches
- added locale-names patch (changes locale no -> nb)
- regenerate lt/al/ac/am

Revision 1.27  2004/02/23 22:08:59  ankry
- pl fixes, cosmetics

Revision 1.26  2003/12/12 17:15:49  grzegol
- added desktop patch (adapt .desktop file to standard)

Revision 1.25  2003/11/28 19:22:21  krzak
- desktop-pl-translation.patch (set description in better way)
- rel 2

Revision 1.24  2003/11/10 13:24:10  grzegol
- fixed URL

Revision 1.23  2003/11/07 23:28:44  grzegol
- updated to 2.0.1

Revision 1.22  2003/10/20 00:07:53  saq
- BR: gtksourceview-devel

Revision 1.21  2003/08/26 20:31:19  ankry
- s/[Gg]nome/GNOME/

Revision 1.20  2003/08/18 08:08:06  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.19  2003/08/01 11:58:49  grzegol
- rel++ to rebuild without linc
- sorting/cosmetics

Revision 1.18  2003/06/09 07:01:41  trojan
- release 5 for rebuild with libgnomedb 0.12.1

Revision 1.17  2003/06/03 22:15:46  trojan
- release 4; for rebuild with libgnomedb >= 0.12.0-2

Revision 1.16  2003/05/26 16:25:02  malekith
- massive attack: adding Source-md5

Revision 1.15  2003/05/25 05:47:56  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2003/05/17 09:16:00  trojan
- release 3: to build with libgnomedb

Revision 1.13  2003/05/17 09:07:39  trojan
- added BR: libgnomedb

Revision 1.12  2003/05/15 14:01:51  qboosh
- use find_lang for gnome/help
- s/Xft-devel/xft-devel/ in BR
- release 2

Revision 1.11  2003/04/14 22:34:44  mkochano
- Release 1.1 - previous change deserves this.

Revision 1.10  2003/04/12 20:29:16  grzegol
- fixed %%files

Revision 1.9  2003/04/12 09:49:37  aflinta
- small cleanup

Revision 1.8  2003/04/12 09:47:45  aflinta
- updated to version 2.0.0

Revision 1.7  2003/01/27 12:14:23  wrobell
- rel. 3 to build with openssl 0.9.7 on nest builders

Revision 1.6  2002/12/07 15:42:48  aflinta
- rebuild with latest Xft
- moved to /usr
- release 2

Revision 1.5  2002/11/04 14:52:06  trojan
- updated to 1.1.3
- removed obsoleted patch
- fixed source URL

Revision 1.4  2002/10/25 11:10:53  krzak
added patch omf.patch witch fixed omf files
release 2

Revision 1.3  2002/10/24 22:15:52  malekith
- setup some br:'s (probably not complete yet)
- release 1

Revision 1.2  2002/10/09 11:20:54  qboosh
- simplified post/postun

Revision 1.1  2002/09/18 22:49:44  aflinta
- new version for GTK+2, initial release, NFY
- needs BR's
- fix for omf files is needed (they are broken)

Revision 1.63  2002/07/31 08:17:29  kloczek
- release 5: use new %doc.

Revision 1.62  2002/06/23 20:52:50  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.61  2002/06/23 20:32:24  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.60  2002/05/21 23:13:10  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.59  2002/05/17 14:28:59  michuz
- fixed omf filse location
- release++

Revision 1.58  2002/05/16 06:52:28  misiek
- move omf files one level deeper; rel 3

Revision 1.57  2002/04/25 16:24:37  arturs
fixed a small typo

Revision 1.56  2002/04/20 22:36:01  kloczek
- merge translations from Conectiva.

Revision 1.55  2002/03/29 20:47:30  kloczek
- release 2: merge translations from KSI.

Revision 1.54  2002/03/24 23:28:17  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.53  2002/02/22 23:28:57  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.52  2002/02/02 04:13:50  kloczek
- added gnome-db-devel to BuildRequires.

Revision 1.51  2002/02/02 04:09:43  kloczek
- updated to 0.6.4,
- enable gnome-db support (NOTE: glade still can't link if bonobo is enabled
  without enabled gnome-db support),
- updated %files.

Revision 1.50  2002/01/26 18:33:01  kloczek
- updated to 0.6.3 (mostly bugfixes and new translations).

Revision 1.49  2002/01/18 02:13:04  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.48  2001/10/07 18:28:28  marcus
- added headers

Revision 1.47  2001/05/07 21:55:44  kloczek
- make libtool hapy,
- install scrollkeeper files in proper path.

Revision 1.46  2001/04/12 02:54:19  kloczek
- release 2,
- run simple scrollkeeper-update in %post (-p <directory> is'nt neccessary
  because scrollkeeper-update looking up by default to `scrollkeeper-config
  --pkglocalstatedir` directory),
- added %postun also with run scrollkeeper-update.

Revision 1.45  2001/04/04 07:12:56  kloczek
- regenerate am/ac files for allow build in gettext 0.10.36 environment,
- added screollkeeper files in %files list,
- added screollkeeper to BuildRequires and Prereq (added register
  screollkeeper files in screollkeeper database).

Revision 1.44  2001/04/03 18:13:06  kloczek
- updated to 0.6.2,
- new Source url,
- added scrollkeeper to BuildRequires.

Revision 1.43  2001/03/14 23:47:15  kloczek
- updated to 0.6.1.

Revision 1.42  2001/02/20 03:05:24  kloczek
- updated to 0.6.0,
- removed obsoleted bonobo patch.

Revision 1.41  2001/02/02 17:50:33  kloczek
- perl -pi -e "s/^\%\{_datadir\}\/pixmaps/\%\{_pixmapsdir\}/"

Revision 1.40  2000/11/25 03:28:01  kloczek
- release 6: rebuild against bonodo >= 0.25.

Revision 1.39  2000/11/20 17:26:57  wiget
add bonobo patch

Revision 1.38  2000/11/01 08:15:52  kloczek
- release 4, Epoch 1 (for allow upgrade from RH 7).

Revision 1.37  2000/10/30 19:30:49  kloczek
- release 3: rebuild against gnome-libs linked with db3.

Revision 1.36  2000/10/10 11:27:12  kloczek
- release 2: rebuild against gnome-print >= 0.24.

Revision 1.35  2000/10/02 14:09:18  kloczek
- updated to 0.5.11.

Revision 1.34  2000/09/25 05:20:37  kloczek
- updated to 0.5.10.

Revision 1.33  2000/06/09 07:54:41  kloczek
- more %%{__make} macros.

Revision 1.32  2000/06/09 07:22:51  kloczek
- added using %%{__make} macro.

Revision 1.31  2000/05/20 23:19:17  kloczek
- updated to 0.5.9.

Revision 1.30  2000/05/18 23:29:23  kloczek
- spec adapterized.

Revision 1.29  2000/05/15 01:26:00  kloczek
- updated to 0.5.8,
- added bonobo support,
- removed using applnk patch,
- spec adapterized.

Revision 1.28  2000/04/01 11:14:31  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.27  2000/03/28 16:54:18  baggins
- translated kloczkish into english

Revision 1.26  2000/02/23 06:38:48  kloczek
- updated to 0.5.7.

Revision 1.25  2000/02/13 13:12:15  kloczek
- updated to 0.5.6.

Revision 1.24  2000/01/28 13:03:53  kloczek
- release 2,
- spec adapterized,
- recompiled in new environment with libesd not depends on liasound.

Revision 1.23  1999/11/11 19:14:04  kloczek
- updated to 0.5.5.

Revision 1.22  1999/11/08 16:19:51  kura
fixed pl translations

Revision 1.21  1999/11/07 01:36:16  kloczek
- updated to 0.5.4,
- added applnk patch for installing desktop file in applnk tree,
- removed Makefile* from %doc.

Revision 1.20  1999/09/22 16:11:48  kloczek
- updated to 0.5.3,
- closed BR#10,
- added %{_datadir}/glade and %{_datadir}/pixmaps/glade to %files.
%defattr(644,root,root,755)

Revision 1.19  1999/09/08 23:18:18  kloczek
- desktop file instead wmconfig.

Revision 1.18  1999/09/08 22:27:01  kloczek
- release 6.
